GET /data/edits/{edit_id}/preview-files

Retrieve all preview files related to a specific edit. Returns them as a dictionary where keys are related task type IDs and values are arrays of previews for that task type.

Path parameters

  • edit_id Required

    Unique identifier of the edit

Responses

  • 200 application/json

    Edit previews successfully retrieved

    Hide response attribute Show response attribute object
    • * array[object] Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)

        Preview unique identifier

      • name string

        Preview name

      • original_name string

        Original file name

      • file_path string

        File path

      • task_type_id string(uuid)

        Task type identifier

      • created_at string(date-time)

        Creation timestamp

GET /data/edits/{edit_id}/preview-files
curl -X GET "http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/preview-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/preview-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/preview-files' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "additionalProperty1": [
    {
      "id": "b35b7fb5-df86-5776-b181-68564193d36",
      "name": "edit_preview_01",
      "original_name": "edit_sequence.mov",
      "file_path": "/previews/edit/edit_preview_01.mov",
      "task_type_id": "c46c8gc6-eg97-6887-c292-79675204e47",
      "created_at": "2023-01-01T12:00:00Z"
    }
  ],
  "additionalProperty2": [
    {
      "id": "b35b7fb5-df86-5776-b181-68564193d36",
      "name": "edit_preview_01",
      "original_name": "edit_sequence.mov",
      "file_path": "/previews/edit/edit_preview_01.mov",
      "task_type_id": "c46c8gc6-eg97-6887-c292-79675204e47",
      "created_at": "2023-01-01T12:00:00Z"
    }
  ]
}